Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.custom.sql
Class SQLQueryParser.ParameterSubstitutionRecognizer

    java.lang.Object
      org.hibernate.loader.custom.sql.SQLQueryParser.ParameterSubstitutionRecognizer

All Implemented Interfaces:
  ParameterParser.Recognizer

Enclosing class:
  SQLQueryParser

    public static class SQLQueryParser.ParameterSubstitutionRecognizer

extends Object
implements ParameterParser.Recognizer

Constructor Summary
`SQLQueryParser.ParameterSubstitutionRecognizer()`

Method Summary
`void` | `jpaPositionalParameter(String name, int position)`
`void` | `namedParameter(String name, int position)`
`void` | `ordinalParameter(int position)`
`void` | `other(char character)`
`void` | `outParameter(int position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryParser.ParameterSubstitutionRecognizer

    public SQLQueryParser.ParameterSubstitutionRecognizer()

Method Detail

### outParameter

    public void outParameter(int position)

  Specified by:
    `outParameter` in interface `ParameterParser.Recognizer`

### ordinalParameter

    public void ordinalParameter(int position)

  Specified by:
    `ordinalParameter` in interface `ParameterParser.Recognizer`

### namedParameter

    public void namedParameter(String name,
                               int position)

  Specified by:
    `namedParameter` in interface `ParameterParser.Recognizer`

### jpaPositionalParameter

    public void jpaPositionalParameter(String name,
                                       int position)

  Specified by:
    `jpaPositionalParameter` in interface `ParameterParser.Recognizer`

### other

    public void other(char character)

  Specified by:
    `other` in interface `ParameterParser.Recognizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.